Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ElementValueArrayInitializerContext

- org.apache.groovy.parser.antlr4.GroovyParser.ElementValueArrayInitializerContext

-     public static class GroovyParser.ElementValueArrayInitializerContext
      extends GroovyParserRuleContext

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ElementValueArrayInitializerContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public List<? extends TerminalNode>` | `COMMA()`
    `` | `public TerminalNode` | `COMMA(int i)`
    `` | `public TerminalNode` | `LBRACK()`
    `` | `public TerminalNode` | `RBRACK()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public List<? extends ElementValueContext>` | `elementValue()`
    `` | `public ElementValueContext` | `elementValue(int i)`
    `` | `public int` | `getRuleIndex()`

- - ### Constructor Detail

    - #### public ElementValueArrayInitializerContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public List<? extends TerminalNode> COMMA()

    - #### public TerminalNode COMMA(int i)

    - #### public TerminalNode LBRACK()

    - #### public TerminalNode RBRACK()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public List<? extends ElementValueContext> elementValue()

    - #### public ElementValueContext elementValue(int i)

    - #### @Override
      public int getRuleIndex()